Poll for Results
curl "https://pulsedive.com/api/analyze.php?qid=2350183660"{
"qid": 2100254203,
"status": "processing",
"stage": "sending request",
"error": "Request(s) still processing."
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Scan an Indicator
Poll for Scan Results
Poll for scan results using the queue ID returned from the POST request.
Returns processing status while the scan is in progress, then complete results when finished.
Polling requests don’t count against your rate limit, but please poll responsibly. (We recommend at most every 500ms.)
GET
/
api
/
analyze.php
Poll for Results
curl "https://pulsedive.com/api/analyze.php?qid=2350183660"{
"qid": 2100254203,
"status": "processing",
"stage": "sending request",
"error": "Request(s) still processing."
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Query Parameters
Response
Successful request. Returns scan status or complete results.
- Processing
- Completed
Response while scan is in progress.
Dynamic key-value pair representing the outcome of your request.
Each {key} represents the overall outcome of your request. The {value} string provides additional context for the outcome. Until your request is complete, the {key} will be error.
Example:
{ "error": "Request(s) still processing." }
Was this page helpful?